Bug 38887 - Install Docker based Apps
Install Docker based Apps
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 enhancement (vote)
: UCS 4.1
Assigned To: Stefan Gohmann
Dirk Wiesenthal
: interim-2
Depends on: 38662 38714 38763 38859 38861 39183 39184 39185 39374
Blocks: 39847
  Show dependency treegraph
 
Reported: 2015-07-10 13:50 CEST by Stefan Gohmann
Modified: 2015-11-17 12:12 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Release Goal
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-07-10 13:50:20 CEST
The App Center should be able to install apps which are running in docker container.
Comment 1 Stefan Gohmann univentionstaff 2015-09-26 15:43:46 CEST
I've added a ucs-test-docker package to ucs-test.
Comment 2 Jussi Lehto 2015-10-04 21:06:44 CEST
(In reply to Stefan Gohmann from comment #1)
> I've added a ucs-test-docker package to ucs-test.

Is it possible to test the ucs-test-docker package? If yes, how I may access it?
Comment 3 Dirk Wiesenthal univentionstaff 2015-10-04 21:40:30 CEST
(In reply to Jussi Lehto from comment #2)
> (In reply to Stefan Gohmann from comment #1)
> > I've added a ucs-test-docker package to ucs-test.
> 
> Is it possible to test the ucs-test-docker package? If yes, how I may access
> it?

Should be possible with
  ucr set repository/online/unmaintained=yes
  univention-install ucs-test
  ucs-test --section docker # --help to see how to run dangerous tests

(given that you already have a UCS 4.1 running)
Comment 4 Stefan Gohmann univentionstaff 2015-10-21 18:27:41 CEST
The basic work has been done. Closing the meta bug.
Comment 5 Stefan Gohmann univentionstaff 2015-11-02 07:31:04 CET
Anything missing?
Comment 6 Dirk Wiesenthal univentionstaff 2015-11-03 23:30:20 CET
OK. I added Bug#39717 and Bug#39716
Comment 7 Stefan Gohmann univentionstaff 2015-11-17 12:12:15 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".